---
title: column-rule-width
slug: Web/CSS/column-rule-width
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{ CSSRef}}</div>

<p>The <strong><code>column-rule-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the width of the line drawn between columns in a multi-column layout.</p>

<div>{{EmbedInteractiveExample("pages/css/column-rule-width.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
column-rule-width: thin;
column-rule-width: medium;
column-rule-width: thick;

/* &lt;length&gt; values */
column-rule-width: 1px;
column-rule-width: 2.5em;

/* Global values */
column-rule-width: inherit;
column-rule-width: initial;
column-rule-width: unset;
</pre>

<p>The <code>column-rule-width</code> property is specified as a single <code>&lt;'border-width'&gt;</code> value.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;'border-width'&gt;</code></dt>
 <dd>Is a keyword defined by {{ cssxref("border-width") }} describing the width of the rule. It may be either a {{cssxref("&lt;length&gt;")}} or one of the <code>thin</code>, <code>medium</code>, or <code>thick</code> keywords.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_thick_column_rule">Setting a thick column rule</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This is a bunch of text split into three columns.
   The `column-rule-width` property is used to change
   the width of the line that is drawn between columns.
   Don't you think that's wonderful?&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">p {
  column-count: 3;
  column-rule-style: solid;
  column-rule-width: thick;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_a_thick_column_rule")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Multicol', '#crw', 'column-rule-width') }}</td>
   <td>{{ Spec2('CSS3 Multicol') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-rule-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout">Multiple-column Layout</a></li>
 <li>{{CSSXref("column-rule-style")}}</li>
 <li>{{CSSXref("column-rule-color")}}</li>
 <li>{{CSSXref("column-rule")}}</li>
</ul>
